Skip to main content
GET
/
v1
/
payroll-connections
/
{payroll_connection}
/
employee-data
/
{employee_data}
/
profiles
Get a specific employee data profile
curl --request GET \
  --url https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/employee-data/{employee_data}/profiles
{
  "data": [
    {
      "id": "11111111-1111-1111-1111-111111111111",
      "employeeDataId": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
      "payrollConnectionId": "880e8400-e29b-41d4-a716-446655440003",
      "payrollPlatformEmployeeIdentifier": "PPL-98765",
      "payrollPlatformDisplayIdentifier": "EMP-12345",
      "ssn": "123-45-6789",
      "addresses": [
        {
          "address1": "123 Main St",
          "address2": "Apt 4B",
          "city": "San Francisco",
          "countryCode": "US",
          "state": "CA",
          "zip": "94102"
        }
      ],
      "contact": {
        "emailPersonal": null,
        "emailWork": "john.doe@example.com",
        "phoneNumberPersonal": null,
        "phoneNumberPersonalHome": null,
        "phoneNumberPersonalMobile": "+11235550123",
        "phoneNumberWork": null,
        "phoneNumberWorkHome": null,
        "phoneNumberWorkMobile": null
      },
      "dateOfBirth": "1985-06-15",
      "firstName": "John",
      "lastName": "Doe",
      "middleName": "Robert",
      "maritalStatus": "M",
      "sex": "M",
      "adjustedServiceDate": null,
      "hireDate": "2020-03-15",
      "isContractor": false,
      "leaveStartDate": null,
      "leaveEndDate": null,
      "rehireDate": null,
      "seniorityDate": "2020-03-15",
      "employmentStatus": "A",
      "terminationDate": null,
      "employmentType": "F",
      "payRates": [
        {
          "amount": "75000.00",
          "default": true,
          "type": "ANNUAL"
        }
      ],
      "payFrequency": "BI_WEEKLY",
      "payType": "S"
    }
  ],
  "meta": {
    "limit": 20,
    "offset": 0,
    "sort": "employeeProfileId",
    "totalCount": 2
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

payroll_connection
string<uuid>
required
employee_data
string<uuid>
required

Response

Employee details

id
string<uuid>
required

Payroll Integrations employee specific uuid

employeeProfiles
object[]
required
employeeSummary
object

Summary of the employee's data. Populated when there is a single profile, null when there are multiple profiles.